﻿namespace Model
{
    public abstract class Die
    {
        private String name ;
        /// <summary>
        /// Proprieté
        /// </summary>
        public string Name
        {
            get
            {
                return name;

            }
            set
            {
                if (string.IsNullOrWhiteSpace(value))
                {
                    throw new ArgumentException("Enter a name", nameof(value));
                }
                name = value;
            }
        }
        public Die(String name)
        {
            Name = name;
        }

        public abstract int RandomFace();

    }
}